Move DEFSYM to lisp.h and use everywhere.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
fa23e171 29 # Code from module alloca-opt:
7ec98caf 30 # Code from module allocator:
1fd182f0
PE
31 # Code from module arg-nonnull:
32 # Code from module c++defs:
d1fdcab7 33 # Code from module careadlinkat:
942f733f 34 # Code from module crypto/md5:
13c3daa4 35 # Code from module crypto/sha1:
3ce9d0d4
LL
36 # Code from module crypto/sha256:
37 # Code from module crypto/sha512:
36f13e16 38 # Code from module dosname:
f737437b 39 # Code from module dtoastr:
1fd182f0
PE
40 # Code from module extensions:
41 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 42 # Code from module filemode:
79ab4b7f 43 # Code from module getloadavg:
e275c824
PE
44 # Code from module getopt-gnu:
45 # Code from module getopt-posix:
46 # Code from module gettext-h:
67342916 47 # Code from module ignore-value:
1fd182f0 48 # Code from module include_next:
a451f14b 49 # Code from module intprops:
b6f5355a 50 # Code from module inttypes-incomplete:
ae0d7250 51 # Code from module lstat:
1fd182f0
PE
52 # Code from module mktime:
53 # Code from module multiarch:
ae0d7250 54 # Code from module readlink:
401bf9b4 55 # Code from module socklen:
d1fdcab7 56 # Code from module ssize_t:
ae0d7250 57 # Code from module stat:
c378da0b
PE
58 # Code from module stdarg:
59 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
60 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
61 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
62 dnl shouldn't hurt, though installers are on their own to set c99 mode.
63 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 64 # Code from module stdbool:
1fd182f0 65 # Code from module stddef:
5f90be1b 66 # Code from module stdint:
77185bdf 67 # Code from module stdio:
79ab4b7f 68 # Code from module stdlib:
16c3e636 69 # Code from module strftime:
b6f5355a 70 # Code from module strtoull:
a8a2bb29 71 # Code from module strtoumax:
ae0d7250 72 # Code from module symlink:
5fa4ac76 73 # Code from module sys_stat:
1fd182f0
PE
74 # Code from module time:
75 # Code from module time_r:
3ce9d0d4 76 # Code from module u64:
e275c824 77 # Code from module unistd:
a8a2bb29 78 # Code from module verify:
1fd182f0 79 # Code from module warn-on-use:
743c80a7
PE
80])
81
82# This macro should be invoked from ./configure.in, in the section
83# "Check for header files, types and library functions".
84AC_DEFUN([gl_INIT],
85[
86 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
87 gl_cond_libtool=false
88 gl_libdeps=
89 gl_ltlibdeps=
90 gl_m4_base='m4'
91 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
92 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
93 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
94 m4_pushdef([gl_LIBSOURCES_LIST], [])
95 m4_pushdef([gl_LIBSOURCES_DIR], [])
96 gl_COMMON
97 gl_source_base='lib'
fa23e171 98gl_FUNC_ALLOCA
19548d08
PE
99AC_CHECK_FUNCS_ONCE([readlinkat])
100gl_MD5
13c3daa4 101gl_SHA1
3ce9d0d4
LL
102gl_SHA256
103gl_SHA512
19548d08
PE
104AC_REQUIRE([gl_C99_STRTOLD])
105gl_FILEMODE
6a3e57bb 106gl_GETLOADAVG
8aeb5be9
PE
107if test $HAVE_GETLOADAVG = 0; then
108 AC_LIBOBJ([getloadavg])
109 gl_PREREQ_GETLOADAVG
110fi
19548d08
PE
111gl_STDLIB_MODULE_INDICATOR([getloadavg])
112gl_FUNC_GETOPT_GNU
8aeb5be9
PE
113if test $REPLACE_GETOPT = 1; then
114 AC_LIBOBJ([getopt])
115 AC_LIBOBJ([getopt1])
116 gl_PREREQ_GETOPT
117fi
19548d08
PE
118gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
119gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
120if test $REPLACE_GETOPT = 1; then
121 AC_LIBOBJ([getopt])
122 AC_LIBOBJ([getopt1])
123 gl_PREREQ_GETOPT
124fi
19548d08
PE
125AC_REQUIRE([AC_C_INLINE])
126gl_INTTYPES_INCOMPLETE
127gl_FUNC_LSTAT
8aeb5be9
PE
128if test $REPLACE_LSTAT = 1; then
129 AC_LIBOBJ([lstat])
130 gl_PREREQ_LSTAT
131fi
19548d08
PE
132gl_SYS_STAT_MODULE_INDICATOR([lstat])
133gl_FUNC_MKTIME
8aeb5be9
PE
134if test $REPLACE_MKTIME = 1; then
135 AC_LIBOBJ([mktime])
136 gl_PREREQ_MKTIME
137fi
19548d08
PE
138gl_TIME_MODULE_INDICATOR([mktime])
139gl_MULTIARCH
140gl_FUNC_READLINK
8aeb5be9
PE
141if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
142 AC_LIBOBJ([readlink])
143 gl_PREREQ_READLINK
144fi
19548d08
PE
145gl_UNISTD_MODULE_INDICATOR([readlink])
146gl_TYPE_SOCKLEN_T
147gt_TYPE_SSIZE_T
c378da0b 148gl_STDARG_H
19548d08
PE
149AM_STDBOOL_H
150gl_STDDEF_H
151gl_STDINT_H
152gl_STDIO_H
153gl_STDLIB_H
154gl_FUNC_GNU_STRFTIME
155gl_FUNC_STRTOUMAX
8aeb5be9
PE
156if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
157 AC_LIBOBJ([strtoumax])
158 gl_PREREQ_STRTOUMAX
159fi
19548d08
PE
160gl_INTTYPES_MODULE_INDICATOR([strtoumax])
161gl_FUNC_SYMLINK
8aeb5be9
PE
162if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
163 AC_LIBOBJ([symlink])
164fi
19548d08
PE
165gl_UNISTD_MODULE_INDICATOR([symlink])
166gl_HEADER_SYS_STAT_H
167AC_PROG_MKDIR_P
168gl_HEADER_TIME_H
169gl_TIME_R
8aeb5be9
PE
170if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
171 AC_LIBOBJ([time_r])
172 gl_PREREQ_TIME_R
173fi
19548d08 174gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 175AC_REQUIRE([AC_C_INLINE])
19548d08
PE
176gl_UNISTD_H
177 gl_gnulib_enabled_dosname=false
178 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
179 gl_gnulib_enabled_stat=false
180 gl_gnulib_enabled_strtoull=false
181 gl_gnulib_enabled_verify=false
182 func_gl_gnulib_m4code_dosname ()
183 {
184 if ! $gl_gnulib_enabled_dosname; then
185 gl_gnulib_enabled_dosname=true
186 fi
187 }
188 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
189 {
190 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
191AC_SUBST([LIBINTL])
192AC_SUBST([LTLIBINTL])
193 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
194 fi
195 }
196 func_gl_gnulib_m4code_stat ()
197 {
198 if ! $gl_gnulib_enabled_stat; then
199gl_FUNC_STAT
8aeb5be9
PE
200if test $REPLACE_STAT = 1; then
201 AC_LIBOBJ([stat])
202 gl_PREREQ_STAT
203fi
19548d08
PE
204gl_SYS_STAT_MODULE_INDICATOR([stat])
205 gl_gnulib_enabled_stat=true
206 if $condition; then
207 func_gl_gnulib_m4code_dosname
208 fi
6dd7e400
PE
209 if $condition; then
210 func_gl_gnulib_m4code_verify
211 fi
19548d08
PE
212 fi
213 }
214 func_gl_gnulib_m4code_strtoull ()
215 {
216 if ! $gl_gnulib_enabled_strtoull; then
217gl_FUNC_STRTOULL
8aeb5be9
PE
218if test $HAVE_STRTOULL = 0; then
219 AC_LIBOBJ([strtoull])
220 gl_PREREQ_STRTOULL
221fi
19548d08
PE
222gl_STDLIB_MODULE_INDICATOR([strtoull])
223 gl_gnulib_enabled_strtoull=true
224 fi
225 }
226 func_gl_gnulib_m4code_verify ()
227 {
228 if ! $gl_gnulib_enabled_verify; then
229 gl_gnulib_enabled_verify=true
230 fi
231 }
8aeb5be9 232 if test $REPLACE_GETOPT = 1; then
19548d08
PE
233 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
234 fi
235 if test $REPLACE_LSTAT = 1; then
236 func_gl_gnulib_m4code_dosname
237 fi
238 if test $REPLACE_LSTAT = 1; then
239 func_gl_gnulib_m4code_stat
240 fi
241 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
242 func_gl_gnulib_m4code_stat
243 fi
244 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
245 func_gl_gnulib_m4code_verify
246 fi
247 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
248 func_gl_gnulib_m4code_strtoull
249 fi
250 m4_pattern_allow([^gl_GNULIB_ENABLED_])
251 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
252 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
253 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
254 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
255 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
256 # End of code from modules
257 m4_ifval(gl_LIBSOURCES_LIST, [
258 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
259 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
260 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
261 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
262 exit 1
263 fi
264 done])dnl
265 m4_if(m4_sysval, [0], [],
266 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
267 ])
268 m4_popdef([gl_LIBSOURCES_DIR])
269 m4_popdef([gl_LIBSOURCES_LIST])
270 m4_popdef([AC_LIBSOURCES])
271 m4_popdef([AC_REPLACE_FUNCS])
272 m4_popdef([AC_LIBOBJ])
273 AC_CONFIG_COMMANDS_PRE([
274 gl_libobjs=
275 gl_ltlibobjs=
276 if test -n "$gl_LIBOBJS"; then
277 # Remove the extension.
278 sed_drop_objext='s/\.o$//;s/\.obj$//'
279 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
280 gl_libobjs="$gl_libobjs $i.$ac_objext"
281 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
282 done
283 fi
284 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
285 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
286 ])
287 gltests_libdeps=
288 gltests_ltlibdeps=
289 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
290 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
291 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
292 m4_pushdef([gltests_LIBSOURCES_LIST], [])
293 m4_pushdef([gltests_LIBSOURCES_DIR], [])
294 gl_COMMON
295 gl_source_base='tests'
296changequote(,)dnl
297 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
298changequote([, ])dnl
299 AC_SUBST([gltests_WITNESS])
300 gl_module_indicator_condition=$gltests_WITNESS
301 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 302 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
303 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
304 m4_ifval(gltests_LIBSOURCES_LIST, [
305 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
306 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
307 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
308 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
309 exit 1
310 fi
311 done])dnl
312 m4_if(m4_sysval, [0], [],
313 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
314 ])
315 m4_popdef([gltests_LIBSOURCES_DIR])
316 m4_popdef([gltests_LIBSOURCES_LIST])
317 m4_popdef([AC_LIBSOURCES])
318 m4_popdef([AC_REPLACE_FUNCS])
319 m4_popdef([AC_LIBOBJ])
320 AC_CONFIG_COMMANDS_PRE([
321 gltests_libobjs=
322 gltests_ltlibobjs=
323 if test -n "$gltests_LIBOBJS"; then
324 # Remove the extension.
325 sed_drop_objext='s/\.o$//;s/\.obj$//'
326 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
327 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
328 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
329 done
330 fi
331 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
332 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
333 ])
334 LIBGNU_LIBDEPS="$gl_libdeps"
335 AC_SUBST([LIBGNU_LIBDEPS])
336 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
337 AC_SUBST([LIBGNU_LTLIBDEPS])
338])
339
340# Like AC_LIBOBJ, except that the module name goes
341# into gl_LIBOBJS instead of into LIBOBJS.
342AC_DEFUN([gl_LIBOBJ], [
343 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
344 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
345])
346
347# Like AC_REPLACE_FUNCS, except that the module name goes
348# into gl_LIBOBJS instead of into LIBOBJS.
349AC_DEFUN([gl_REPLACE_FUNCS], [
350 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
351 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
352])
353
354# Like AC_LIBSOURCES, except the directory where the source file is
355# expected is derived from the gnulib-tool parameterization,
356# and alloca is special cased (for the alloca-opt module).
357# We could also entirely rely on EXTRA_lib..._SOURCES.
358AC_DEFUN([gl_LIBSOURCES], [
359 m4_foreach([_gl_NAME], [$1], [
360 m4_if(_gl_NAME, [alloca.c], [], [
361 m4_define([gl_LIBSOURCES_DIR], [lib])
362 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
363 ])
364 ])
365])
366
367# Like AC_LIBOBJ, except that the module name goes
368# into gltests_LIBOBJS instead of into LIBOBJS.
369AC_DEFUN([gltests_LIBOBJ], [
370 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
371 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
372])
373
374# Like AC_REPLACE_FUNCS, except that the module name goes
375# into gltests_LIBOBJS instead of into LIBOBJS.
376AC_DEFUN([gltests_REPLACE_FUNCS], [
377 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
378 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
379])
380
381# Like AC_LIBSOURCES, except the directory where the source file is
382# expected is derived from the gnulib-tool parameterization,
383# and alloca is special cased (for the alloca-opt module).
384# We could also entirely rely on EXTRA_lib..._SOURCES.
385AC_DEFUN([gltests_LIBSOURCES], [
386 m4_foreach([_gl_NAME], [$1], [
387 m4_if(_gl_NAME, [alloca.c], [], [
388 m4_define([gltests_LIBSOURCES_DIR], [tests])
389 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
390 ])
391 ])
392])
393
394# This macro records the list of files which have been installed by
395# gnulib-tool and may be removed by future gnulib-tool invocations.
396AC_DEFUN([gl_FILE_LIST], [
1fd182f0
PE
397 build-aux/arg-nonnull.h
398 build-aux/c++defs.h
399 build-aux/warn-on-use.h
fa23e171 400 lib/alloca.in.h
7ec98caf 401 lib/allocator.c
d1fdcab7
PE
402 lib/allocator.h
403 lib/careadlinkat.c
404 lib/careadlinkat.h
36f13e16 405 lib/dosname.h
a451f14b 406 lib/dtoastr.c
5fa4ac76
PE
407 lib/filemode.c
408 lib/filemode.h
a451f14b
PE
409 lib/ftoastr.c
410 lib/ftoastr.h
79ab4b7f 411 lib/getloadavg.c
e275c824
PE
412 lib/getopt.c
413 lib/getopt.in.h
414 lib/getopt1.c
415 lib/getopt_int.h
416 lib/gettext.h
67342916 417 lib/ignore-value.h
a451f14b 418 lib/intprops.h
a8a2bb29 419 lib/inttypes.in.h
ae0d7250 420 lib/lstat.c
942f733f
PE
421 lib/md5.c
422 lib/md5.h
1fd182f0
PE
423 lib/mktime-internal.h
424 lib/mktime.c
ae0d7250 425 lib/readlink.c
13c3daa4
LL
426 lib/sha1.c
427 lib/sha1.h
3ce9d0d4
LL
428 lib/sha256.c
429 lib/sha256.h
430 lib/sha512.c
431 lib/sha512.h
ae0d7250 432 lib/stat.c
c378da0b 433 lib/stdarg.in.h
16c3e636 434 lib/stdbool.in.h
1fd182f0 435 lib/stddef.in.h
5f90be1b 436 lib/stdint.in.h
77185bdf 437 lib/stdio.in.h
79ab4b7f 438 lib/stdlib.in.h
16c3e636
PE
439 lib/strftime.c
440 lib/strftime.h
a8a2bb29
PE
441 lib/strtoimax.c
442 lib/strtol.c
a8a2bb29
PE
443 lib/strtoul.c
444 lib/strtoull.c
445 lib/strtoumax.c
ae0d7250 446 lib/symlink.c
5fa4ac76 447 lib/sys_stat.in.h
1fd182f0
PE
448 lib/time.in.h
449 lib/time_r.c
3ce9d0d4 450 lib/u64.h
e275c824 451 lib/unistd.in.h
a8a2bb29 452 lib/verify.h
743c80a7 453 m4/00gnulib.m4
fa23e171 454 m4/alloca.m4
a451f14b 455 m4/c-strtod.m4
1fd182f0 456 m4/extensions.m4
5fa4ac76 457 m4/filemode.m4
79ab4b7f 458 m4/getloadavg.m4
e275c824 459 m4/getopt.m4
743c80a7 460 m4/gnulib-common.m4
1fd182f0 461 m4/include_next.m4
a8a2bb29 462 m4/inttypes.m4
5f90be1b 463 m4/longlong.m4
ae0d7250 464 m4/lstat.m4
942f733f 465 m4/md5.m4
1fd182f0
PE
466 m4/mktime.m4
467 m4/multiarch.m4
ae0d7250 468 m4/readlink.m4
13c3daa4 469 m4/sha1.m4
3ce9d0d4
LL
470 m4/sha256.m4
471 m4/sha512.m4
401bf9b4 472 m4/socklen.m4
d1fdcab7 473 m4/ssize_t.m4
5fa4ac76 474 m4/st_dm_mode.m4
ae0d7250 475 m4/stat.m4
c378da0b 476 m4/stdarg.m4
16c3e636 477 m4/stdbool.m4
1fd182f0 478 m4/stddef_h.m4
5f90be1b 479 m4/stdint.m4
77185bdf 480 m4/stdio_h.m4
79ab4b7f 481 m4/stdlib_h.m4
16c3e636 482 m4/strftime.m4
a8a2bb29
PE
483 m4/strtoull.m4
484 m4/strtoumax.m4
ae0d7250 485 m4/symlink.m4
5fa4ac76 486 m4/sys_stat_h.m4
1fd182f0
PE
487 m4/time_h.m4
488 m4/time_r.m4
16c3e636 489 m4/tm_gmtoff.m4
e275c824 490 m4/unistd_h.m4
1fd182f0
PE
491 m4/warn-on-use.m4
492 m4/wchar_t.m4
743c80a7 493])